Bug 1058748 - (CVE-2014-1690) CVE-2014-1690 Kernel: netfilter: nf_nat: leakage of uninitialized buffer in IRC NAT helper
CVE-2014-1690 Kernel: netfilter: nf_nat: leakage of uninitialized buffer in I...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20131231,reported=2...
: Security
Depends On: 1058782 1058783 1058784 1058786
Blocks: 1053179
  Show dependency treegraph
 
Reported: 2014-01-28 08:23 EST by Prasad J Pandit
Modified: 2015-08-24 15:58 EDT (History)
29 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-28 13:35:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2014-01-28 08:23:24 EST
Linux kernel built with the NetFilter Connection Tracking(NF_CONNTRACK)
support for IRC protocol(NF_NAT_IRC), is vulnerable to an information leakage
flaw. It could occur when communicating over direct client-to-client IRC
connection(/dcc) via a NAT-ed network. Kernel attempts to mangle IRC TCP
packet's content, wherein an uninitialised 'buffer' object is copied to a
socket buffer and sent over to the other end of a connection.

A user/program could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/2690d97ade05c5325cbf7c72b94b90d265659886
Comment 1 Prasad J Pandit 2014-01-28 08:27:28 EST
Statement:

This issue does not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise Linux 6.
Comment 2 Prasad J Pandit 2014-01-28 09:05:12 EST
Acknowledgement:

This issue was discovered by Daniel Borkmann of Red Hat Inc.
Comment 5 Prasad J Pandit 2014-01-28 09:18:45 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1058786]
Comment 6 errata-xmlrpc 2014-04-28 12:53:56 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:0439 https://rhn.redhat.com/errata/RHSA-2014-0439.html

Note You need to log in before you can comment on or make changes to this bug.